cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wido den Hollander <w...@widodh.nl>
Subject CentOS 7 KVM Agent installation fails
Date Tue, 21 Apr 2015 14:00:55 GMT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I'm trying to install cloudstack-agent on CentOS but it fails with:

- --> Finished Dependency Resolution
Error: Package: cloudstack-agent-4.4.2-NONOSS_1.el6.x86_64
(cloudstack-repo)
           Requires: java7
Error: Package: cloudstack-common-4.4.2-NONOSS_1.el6.x86_64
(cloudstack-repo)
           Requires: python(abi) = 2.6
           Installed: python-2.7.5-16.el7.x86_64 (@anaconda)
               python(abi) = 2.7
               python(abi) = 2.7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Looking at packaging/centos7/cloud.spec I found this:

%package agent
Summary: CloudStack Agent for KVM hypervisors
.....
Requires: java => 1.7.0
.....

So where does "java7" come from?

I used these packages btw: http://cloudstack.apt-get.eu/rhel/4.4/

Any clues on why this is happening?

Wido
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJVNlgXAAoJEAGbWC3bPspCxToP/jyPrXpHgwW48A/WvbLZPCnw
m1Q6YrVi0oP6hGxZjFkESSIvsyg60zo6Cx440XoCAmJTREVeLtbtTiQUL42Z5EcH
Ko/wIzHJp/eoPtuPBk08m10pC6OgQitQFVO4xTieQxGWtcy+mBi+5VfWHszR0XEa
PscABN82pveE8igf8TTOZtHkkXXdzILY5tkiq0j96ZN8cGNTVV0amcyraE0rxSFn
n80ou84e98ek32QyC4wo9xBcRjl5aKu5/5oUeLESxJQWK6KEcjW0JR+4tOUZbLwp
LMZJXnKNEpf+Lv/fHFAjz9RjjD1T96vERbyBIJGRqsgwKKNQ4XdJph4oh2GDKXYn
cLKpfAFVGWn0Po+2m5PQDFgdi7rgHAvPieIFmaBbx90i3s6vV2SHVzNEhh4EKEL8
hLPRZjA18wZ5wChnY2Lxug7OjqyBSvxuj5hcox8VntDR8wufcAlaBWMrLcZ0YTw0
dP+7VyMckSHuPyeGragwF4oKw5ccXJWERg1ZdNpT3RX7axBbv8J+5HynbJ9zCE7n
eW5zQlrVFZPLVUUolhmWzl12CfJspYbmQdAUlOon9mzLIb2SDR0eRr5xcvjEdUNK
UZvtR1B60nbEcrEckdSEsuKBew9yxO4hzT0aD1BgFWtChNS04/hAnu/4smpry4bC
QknkSCN6G6zoibyXYCjg
=dRkq
-----END PGP SIGNATURE-----

Mime
View raw message